site_name: Boomi - Integration platform as service (iPaaS)
nav:
  - Boomi - iPaaS: index.md
theme:
  name: material
  features:
    - navigation.tabs
    - navigation.sections
    - toc.integrate
    - navigation.top
    - search.suggest
    - search.highlight
    - content.tabs.link
    - content.code.annotation
    - content.code.copy
  language: en
  palette:
    - scheme: default
      toggle:
        icon: material/toggle-switch-off-outline
        name: Switch to dark mode
      primary: teal
      accent: purple
    - scheme: slate
      toggle:
        icon: material/toggle-switch
        name: Switch to light mode
      primary: teal
      accent: lime
plugins:
  - social
  - search
  # https://github.com/danielfrg/mkdocs-jupyter
  - mkdocs-jupyter:
      ignore_h1_titles: True
      execute: False
      theme: light
      include_source: True

markdown_extensions:
  - toc:
      permalink: true
  - pymdownx.highlight:
      anchor_linenums: true
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - admonition
  - pymdownx.arithmatex:
      generic: true
  - footnotes
  - pymdownx.details
  - pymdownx.superfences
  - pymdownx.mark
  - attr_list
  - pymdownx.emoji:
      emoji_index: !!python/name:material.extensions.emoji.twemoji
      emoji_generator: !!python/name:material.extensions.emoji.to_svg

extra:
  social:
    - icon: fontawesome/brands/gitlab
      link: https://gitlab.intelizign.com/
    - icon: fontawesome/brands/instagram
      link: https://www.instagram.com/intelizign/
    - icon: fontawesome/brands/linkedin
      link: https://www.linkedin.com/company/intelizign/
  # To remove Made with MkDocs Material line at the footer.
  # https://github.com/squidfunk/mkdocs-material/issues/373
  generator: true

copyright: |
  &copy; 2023 <a href="https://gitlab.intelizign.com/"  target="_blank" rel="noopener">Intelizign</a>
